Subject: Re: [PATCH v6 00/18] reftable: stop using "git-compat-util.h"

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 12 Mar 2025 07:51:41 +0100

On Tue, Mar 11, 2025 at 04:29:27PM -0700, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Patrick Steinhardt <[email-masked]> writes:
> >
> >> Changes in v6:
> >>   - I have rebased the patch series on top of "master" at 03944513488
> >>     (The eleventh batch, 2025-02-14). On the one hand this gets rid of
> >>     the conflict with the zlib-ng changes, which have meanwhile been
> >>     merged to that branch. And on the other hand it pulls in the new CI
> >>     build for MSVC+Meson, which allows me to have better test coverage
> >>     on Windows to better detect breakage there.
> >>   - Stop moving around Win32 files so that we do the minimum viable
> >>     change in this context. Hopefully, this makes it easier for Dscho to
> >>     integrate into Git for Windows. If it doesn't I don't really have
> >>     any other good ideas for how to do it, so the only alternative would
> >>     be to just ignore Windows altogether.
> >>   - Link to v5: https://lore.kernel.org/r/[email-masked]
> >
> > Thanks.  I think the "unlink" thing on Windows I have was queued
> > depended on the previous iteration of this series so let me make
> > sure that I'd unentangle it while replacing the topic with this
> > round.
> >
> > Will queue.  Thanks.
> 
> So, sorry I lost track.  I think I saw you ask Dscho about the
> Windows specific bits once in a thread on What's cooking report,
> but I do not recall the outcome.  Is this topic (and the unlink fix
> that depends on this series) now OK, or would we see further updates
> once 2.49 is tagged?

There was a class of test failures caused by mismatching allocators in
Git for Windows for which I've sent a proposed fix for downstream [1].
I've been talking to Johannes on Monday and he mentioned that he'll
likely end up taking that patch as the pragmatic fix. Which to the best
of my knowledge would mean that this series here is unblocked and can
start to move forward again. Johannes, please correct me in case I'm
misstating anything here.

So based on that I don't plan to reroll and hope that we can move
forward with the series once Git v2.49.0 is out.

Thanks!

Patrick

[1]: <[email-masked]>